import config from "@/config";
import tool from "@/utils/tool";
export default {
    state: {
        //移动端布局
        ismobile: false,
        //布局
        layout: tool.data.get('layout') || config.LAYOUT,
        //菜单是否折叠 toggle
        menuIsCollapse: tool.data.get('layoutmenuiscollapse') || config.MENU_IS_COLLAPSE || false,
        //多标签栏
        layoutTags: tool.data.get('layouttags') || config.LAYOUT_TAGS,
        //显示页头
        layoutHeader: tool.data.get('layoutheader') || true,
    },
    mutations: {
        SET_ismobile(state, key) {
            state.ismobile = key
        },
        SET_layout(state, key) {
            state.layout = key
        },
        TOGGLE_menuIsCollapse(state) {
            state.menuIsCollapse = !state.menuIsCollapse
        },
        TOGGLE_layoutTags(state) {
            state.layoutTags = !state.layoutTags
        }
    }
}